For the complete documentation index, see llms.txt. This page is also available as Markdown.

Service

returns an array of CDN services that can be accessed

get

Will reply with all services token can accesscapabilities list the API endpoint that can be accessed and what methods are allowed for the token used

Authorizations
OAuth2applicationRequired
Token URL:
Responses
200

OK

application/json
projectNamestringOptional
serviceIdstringOptional
serviceTypestringOptional
get/service
GET /api/service HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "capabilities": {
      "ANY_ADDITIONAL_PROPERTY": [
        "text"
      ]
    },
    "projectName": "text",
    "serviceId": "text",
    "serviceType": "text",
    "vhost": {
      "BillingTemplateId": 12314,
      "clientId": "12345",
      "dns": "cdn.i3d.net",
      "enabled": true,
      "hash": "JJUSMXH",
      "name": "VHost name",
      "originId": 12314,
      "path": "/o1/cdn"
    }
  }
]

Last updated

Was this helpful?